/*
 *
 * happytimer - Alarm timer for the GNOME notification area
 *
 *  @Copyright (C) 2007, 2009 Kim Jin Chul (shriekout@gmail.com).
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*********************************
 * 전역 변수들과 기본 선언들
 * *******************************/

#ifndef _HAPPYTIMER_H

#define _HAPPYTIMER_H

#include <gtk/gtk.h>
#include <time.h>
#include <gst/gst.h>
#include <regex.h>
#include "config.h"

#define HAPPYTIMER_ICON "/usr/share/pixmaps/happytimer.png"
#define HAPPYTIMER_SOUND "/usr/share/happytimer/sound/"
#define LOCALE_DIR "/usr/share/locale/"
#define CONFIG_DIR g_get_home_dir()
#define CONFIG_FILE "/.happytimer_xml"
#define TIMER_SOUND "/usr/share/happytimer/sound/happytimer.mp3"
#define VOICE_INFO "voice.info"
#define MAX_TIMER "7200"
#define NOTIFY_BEFORE "10"

enum {
	RT_SND,
	ARM_SND,
	PRE_SND,
	SND_NUM
};

GtkStatusIcon *trayIcon;
GtkWidget *menu;
GtkWidget *timer;
GstElement *gstSound[SND_NUM];

/* 환경설정에 사용되는 구조체 */
struct happytimer {
	char *rtsound;
	char *tsound;
	char *tsoundfile;
	char *timagefile;
	char *rtsound_dir;
	char *maxtimer;
	char *prefer_file;
	char *load_ptime;
	char *ptime;
	char *icon_blink;
	char *notify_before;
} prefer;

struct var {
	gboolean countdown;
	time_t timerCount;
	regex_t mregex;
	char *hour_clock;
	char *sf;
	gboolean repeat;
	time_t spin_hr;
	time_t spin_min;
	time_t spin_sec;
	gboolean is_pause;
	int notify_before;
} varList;

#endif
